=== modified file 'config.guess'
--- config.guess	2006-11-02 19:56:00 +0000
+++ config.guess	2008-07-16 11:34:00 +0000
@@ -1,10 +1,9 @@
 #! /bin/sh
 # Attempt to guess a canonical system name.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
-#   Inc.
+#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
 
-timestamp='2006-07-02'
+timestamp='2005-07-08'
 
 # This file is free software; you can redistribute it and/or modify it
 # under the terms of the GNU General Public License as published by
@@ -107,7 +106,7 @@
 trap "exitcode=\$?; (rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null) && exit \$exitcode" 0 ;
 trap "rm -f \$tmpfiles 2>/dev/null; rmdir \$tmp 2>/dev/null; exit 1" 1 2 13 15 ;
 : ${TMPDIR=/tmp} ;
- { tmp=`(umask 077 && mktemp -d "$TMPDIR/cgXXXXXX") 2>/dev/null` && test -n "$tmp" && test -d "$tmp" ; } ||
+ { tmp=`(umask 077 && mktemp -d -q "$TMPDIR/cgXXXXXX") 2>/dev/null` && test -n "$tmp" && test -d "$tmp" ; } ||
  { test -n "$RANDOM" && tmp=$TMPDIR/cg$$-$RANDOM && (umask 077 && mkdir $tmp) ; } ||
  { tmp=$TMPDIR/cg-$$ && (umask 077 && mkdir $tmp) && echo "Warning: creating insecure temp directory" >&2 ; } ||
  { echo "$me: cannot create a temporary directory in $TMPDIR" >&2 ; exit 1 ; } ;
@@ -207,11 +206,8 @@
     *:ekkoBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-ekkobsd${UNAME_RELEASE}
 	exit ;;
-    *:SolidBSD:*:*)
-	echo ${UNAME_MACHINE}-unknown-solidbsd${UNAME_RELEASE}
-	exit ;;
     macppc:MirBSD:*:*)
-	echo powerpc-unknown-mirbsd${UNAME_RELEASE}
+	echo powerppc-unknown-mirbsd${UNAME_RELEASE}
 	exit ;;
     *:MirBSD:*:*)
 	echo ${UNAME_MACHINE}-unknown-mirbsd${UNAME_RELEASE}
@@ -768,14 +764,7 @@
 	echo ${UNAME_MACHINE}-unknown-bsdi${UNAME_RELEASE}
 	exit ;;
     *:FreeBSD:*:*)
-	case ${UNAME_MACHINE} in
-	    pc98)
-		echo i386-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'` ;;
-	    amd64)
-		echo x86_64-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'` ;;
-	    *)
-		echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'` ;;
-	esac
+	echo ${UNAME_MACHINE}-unknown-freebsd`echo ${UNAME_RELEASE}|sed -e 's/[-(].*//'`
 	exit ;;
     i*:CYGWIN*:*)
 	echo ${UNAME_MACHINE}-pc-cygwin
@@ -790,11 +779,8 @@
     i*:PW*:*)
 	echo ${UNAME_MACHINE}-pc-pw32
 	exit ;;
-    x86:Interix*:[3456]*)
-	echo i586-pc-interix${UNAME_RELEASE}
-	exit ;;
-    EM64T:Interix*:[3456]*)
-	echo x86_64-unknown-interix${UNAME_RELEASE}
+    x86:Interix*:[34]*)
+	echo i586-pc-interix${UNAME_RELEASE}|sed -e 's/\..*//'
 	exit ;;
     [345]86:Windows_95:* | [345]86:Windows_98:* | [345]86:Windows_NT:*)
 	echo i${UNAME_MACHINE}-pc-mks
@@ -808,7 +794,7 @@
     i*:UWIN*:*)
 	echo ${UNAME_MACHINE}-pc-uwin
 	exit ;;
-    amd64:CYGWIN*:*:* | x86_64:CYGWIN*:*:*)
+    amd64:CYGWIN*:*:*)
 	echo x86_64-unknown-cygwin
 	exit ;;
     p*:CYGWIN*:*)
@@ -831,9 +817,6 @@
     arm*:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit ;;
-    avr32*:Linux:*:*)
-	echo ${UNAME_MACHINE}-unknown-linux-gnu
-	exit ;;
     cris:Linux:*:*)
 	echo cris-axis-linux-gnu
 	exit ;;
@@ -868,11 +851,7 @@
 	#endif
 	#endif
 EOF
-	eval "`$CC_FOR_BUILD -E $dummy.c 2>/dev/null | sed -n '
-	    /^CPU/{
-		s: ::g
-		p
-	    }'`"
+	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
 	test x"${CPU}" != x && { echo "${CPU}-unknown-linux-gnu"; exit; }
 	;;
     mips64:Linux:*:*)
@@ -891,16 +870,9 @@
 	#endif
 	#endif
 EOF
-	eval "`$CC_FOR_BUILD -E $dummy.c 2>/dev/null | sed -n '
-	    /^CPU/{
-		s: ::g
-		p
-	    }'`"
+	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^CPU=`
 	test x"${CPU}" != x && { echo "${CPU}-unknown-linux-gnu"; exit; }
 	;;
-    or32:Linux:*:*)
-	echo or32-unknown-linux-gnu
-	exit ;;
     ppc:Linux:*:*)
 	echo powerpc-unknown-linux-gnu
 	exit ;;
@@ -944,9 +916,6 @@
     sparc:Linux:*:* | sparc64:Linux:*:*)
 	echo ${UNAME_MACHINE}-unknown-linux-gnu
 	exit ;;
-    vax:Linux:*:*)
-	echo ${UNAME_MACHINE}-dec-linux-gnu
-	exit ;;
     x86_64:Linux:*:*)
 	echo x86_64-unknown-linux-gnu
 	exit ;;
@@ -992,7 +961,7 @@
 	LIBC=gnulibc1
 	# endif
 	#else
-	#if defined(__INTEL_COMPILER) || defined(__PGI) || defined(__SUNPRO_C) || defined(__SUNPRO_CC)
+	#ifdef __INTEL_COMPILER
 	LIBC=gnu
 	#else
 	LIBC=gnuaout
@@ -1002,11 +971,7 @@
 	LIBC=dietlibc
 	#endif
 EOF
-	eval "`$CC_FOR_BUILD -E $dummy.c 2>/dev/null | sed -n '
-	    /^LIBC/{
-		s: ::g
-		p
-	    }'`"
+	eval `$CC_FOR_BUILD -E $dummy.c 2>/dev/null | grep ^LIBC=`
 	test x"${LIBC}" != x && {
 		echo "${UNAME_MACHINE}-pc-linux-${LIBC}"
 		exit
@@ -1217,6 +1182,7 @@
     *:Darwin:*:*)
 	UNAME_PROCESSOR=`uname -p` || UNAME_PROCESSOR=unknown
 	case $UNAME_PROCESSOR in
+	    *86) UNAME_PROCESSOR=i686 ;;
 	    unknown) UNAME_PROCESSOR=powerpc ;;
 	esac
 	echo ${UNAME_PROCESSOR}-apple-darwin${UNAME_RELEASE}
@@ -1295,9 +1261,6 @@
     i*86:skyos:*:*)
 	echo ${UNAME_MACHINE}-pc-skyos`echo ${UNAME_RELEASE}` | sed -e 's/ .*$//'
 	exit ;;
-    i*86:rdos:*:*)
-	echo ${UNAME_MACHINE}-pc-rdos
-	exit ;;
 esac
 
 #echo '(No uname command or uname output not recognized.)' 1>&2

=== modified file 'config.sub'
--- config.sub	2006-11-02 19:56:00 +0000
+++ config.sub	2008-07-16 11:34:00 +0000
@@ -1,10 +1,9 @@
 #! /bin/sh
 # Configuration validation subroutine script.
 #   Copyright (C) 1992, 1993, 1994, 1995, 1996, 1997, 1998, 1999,
-#   2000, 2001, 2002, 2003, 2004, 2005, 2006 Free Software Foundation,
-#   Inc.
+#   2000, 2001, 2002, 2003, 2004, 2005 Free Software Foundation, Inc.
 
-timestamp='2006-09-20'
+timestamp='2005-07-08'
 
 # This file is (in principle) common to ALL GNU software.
 # The presence of a machine in this file suggests that SOME GNU software
@@ -120,9 +119,8 @@
 # Here we must recognize all the valid KERNEL-OS combinations.
 maybe_os=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\2/'`
 case $maybe_os in
-  nto-qnx* | linux-gnu* | linux-dietlibc | linux-newlib* | linux-uclibc* | \
-  uclinux-uclibc* | uclinux-gnu* | kfreebsd*-gnu* | knetbsd*-gnu* | netbsd*-gnu* | \
-  storm-chaos* | os2-emx* | rtmk-nova*)
+  nto-qnx* | linux-gnu* | linux-dietlibc | linux-uclibc* | uclinux-uclibc* | uclinux-gnu* | \
+  kfreebsd*-gnu* | knetbsd*-gnu* | netbsd*-gnu* | storm-chaos* | os2-emx* | rtmk-nova*)
     os=-$maybe_os
     basic_machine=`echo $1 | sed 's/^\(.*\)-\([^-]*-[^-]*\)$/\1/'`
     ;;
@@ -173,10 +171,6 @@
 	-hiux*)
 		os=-hiuxwe2
 		;;
-	-sco6)
-		os=-sco5v6
-		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
-		;;
 	-sco5)
 		os=-sco3.2v5
 		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
@@ -193,10 +187,6 @@
 		# Don't forget version if it is 3.2v4 or newer.
 		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
 		;;
-	-sco5v6*)
-		# Don't forget version if it is 3.2v4 or newer.
-		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
-		;;
 	-sco*)
 		os=-sco3.2v2
 		basic_machine=`echo $1 | sed -e 's/86-.*/86-pc/'`
@@ -241,7 +231,7 @@
 	| alpha | alphaev[4-8] | alphaev56 | alphaev6[78] | alphapca5[67] \
 	| alpha64 | alpha64ev[4-8] | alpha64ev56 | alpha64ev6[78] | alpha64pca5[67] \
 	| am33_2.0 \
-	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr | avr32 \
+	| arc | arm | arm[bl]e | arme[lb] | armv[2345] | armv[345][lb] | avr \
 	| bfin \
 	| c4x | clipper \
 	| d10v | d30v | dlx | dsp16xx \
@@ -249,8 +239,7 @@
 	| h8300 | h8500 | hppa | hppa1.[01] | hppa2.0 | hppa2.0[nw] | hppa64 \
 	| i370 | i860 | i960 | ia64 \
 	| ip2k | iq2000 \
-	| m32c | m32r | m32rle | m68000 | m68k | m88k \
-	| maxq | mb | microblaze | mcore \
+	| m32r | m32rle | m68000 | m68k | m88k | maxq | mcore \
 	| mips | mipsbe | mipseb | mipsel | mipsle \
 	| mips16 \
 	| mips64 | mips64el \
@@ -268,27 +257,28 @@
 	| mipsisa64sr71k | mipsisa64sr71kel \
 	| mipstx39 | mipstx39el \
 	| mn10200 | mn10300 \
-	| mt \
+	| ms1 \
 	| msp430 \
-	| nios | nios2 \
 	| ns16k | ns32k \
 	| or32 \
 	| pdp10 | pdp11 | pj | pjl \
 	| powerpc | powerpc64 | powerpc64le | powerpcle | ppcbe \
 	| pyramid \
-	| score \
-	| sh | sh[1234] | sh[24]a | sh[23]e | sh[34]eb | sheb | shbe | shle | sh[1234]le | sh3ele \
+	| sh | sh[1234] | sh[24]a | sh[23]e | sh[34]eb | shbe | shle | sh[1234]le | sh3ele \
 	| sh64 | sh64le \
-	| sparc | sparc64 | sparc64b | sparc64v | sparc86x | sparclet | sparclite \
-	| sparcv8 | sparcv9 | sparcv9b | sparcv9v \
-	| spu | strongarm \
+	| sparc | sparc64 | sparc64b | sparc86x | sparclet | sparclite \
+	| sparcv8 | sparcv9 | sparcv9b \
+	| strongarm \
 	| tahoe | thumb | tic4x | tic80 | tron \
 	| v850 | v850e \
 	| we32k \
-	| x86 | xc16x | xscale | xscalee[bl] | xstormy16 | xtensa \
+	| x86 | xscale | xscalee[bl] | xstormy16 | xtensa \
 	| z8k)
 		basic_machine=$basic_machine-unknown
 		;;
+	m32c)
+		basic_machine=$basic_machine-unknown
+		;;
 	m6811 | m68hc11 | m6812 | m68hc12)
 		# Motorola 68HC11/12.
 		basic_machine=$basic_machine-unknown
@@ -296,9 +286,6 @@
 		;;
 	m88110 | m680[12346]0 | m683?2 | m68360 | m5200 | v70 | w65 | z8k)
 		;;
-	ms1)
-		basic_machine=mt-unknown
-		;;
 
 	# We use `pc' rather than `unknown'
 	# because (1) that's what they normally are, and
@@ -318,7 +305,7 @@
 	| alpha64-* | alpha64ev[4-8]-* | alpha64ev56-* | alpha64ev6[78]-* \
 	| alphapca5[67]-* | alpha64pca5[67]-* | arc-* \
 	| arm-*  | armbe-* | armle-* | armeb-* | armv*-* \
-	| avr-* | avr32-* \
+	| avr-* \
 	| bfin-* | bs2000-* \
 	| c[123]* | c30-* | [cjt]90-* | c4x-* | c54x-* | c55x-* | c6x-* \
 	| clipper-* | craynv-* | cydra-* \
@@ -329,7 +316,7 @@
 	| hppa-* | hppa1.[01]-* | hppa2.0-* | hppa2.0[nw]-* | hppa64-* \
 	| i*86-* | i860-* | i960-* | ia64-* \
 	| ip2k-* | iq2000-* \
-	| m32c-* | m32r-* | m32rle-* \
+	| m32r-* | m32rle-* \
 	| m68000-* | m680[012346]0-* | m68360-* | m683?2-* | m68k-* \
 	| m88110-* | m88k-* | maxq-* | mcore-* \
 	| mips-* | mipsbe-* | mipseb-* | mipsel-* | mipsle-* \
@@ -349,30 +336,31 @@
 	| mipsisa64sr71k-* | mipsisa64sr71kel-* \
 	| mipstx39-* | mipstx39el-* \
 	| mmix-* \
-	| mt-* \
+	| ms1-* \
 	| msp430-* \
-	| nios-* | nios2-* \
 	| none-* | np1-* | ns16k-* | ns32k-* \
 	| orion-* \
 	| pdp10-* | pdp11-* | pj-* | pjl-* | pn-* | power-* \
 	| powerpc-* | powerpc64-* | powerpc64le-* | powerpcle-* | ppcbe-* \
 	| pyramid-* \
 	| romp-* | rs6000-* \
-	| sh-* | sh[1234]-* | sh[24]a-* | sh[23]e-* | sh[34]eb-* | sheb-* | shbe-* \
+	| sh-* | sh[1234]-* | sh[24]a-* | sh[23]e-* | sh[34]eb-* | shbe-* \
 	| shle-* | sh[1234]le-* | sh3ele-* | sh64-* | sh64le-* \
-	| sparc-* | sparc64-* | sparc64b-* | sparc64v-* | sparc86x-* | sparclet-* \
+	| sparc-* | sparc64-* | sparc64b-* | sparc86x-* | sparclet-* \
 	| sparclite-* \
-	| sparcv8-* | sparcv9-* | sparcv9b-* | sparcv9v-* | strongarm-* | sv1-* | sx?-* \
+	| sparcv8-* | sparcv9-* | sparcv9b-* | strongarm-* | sv1-* | sx?-* \
 	| tahoe-* | thumb-* \
 	| tic30-* | tic4x-* | tic54x-* | tic55x-* | tic6x-* | tic80-* \
 	| tron-* \
 	| v850-* | v850e-* | vax-* \
 	| we32k-* \
-	| x86-* | x86_64-* | xc16x-* | xps100-* | xscale-* | xscalee[bl]-* \
+	| x86-* | x86_64-* | xps100-* | xscale-* | xscalee[bl]-* \
 	| xstormy16-* | xtensa-* \
 	| ymp-* \
 	| z8k-*)
 		;;
+	m32c-*)
+		;;
 	# Recognize the various machine names and aliases which stand
 	# for a CPU type and a company and sometimes even an OS.
 	386bsd)
@@ -708,9 +696,6 @@
 		basic_machine=i386-pc
 		os=-msdos
 		;;
-	ms1-*)
-		basic_machine=`echo $basic_machine | sed -e 's/ms1-/mt-/'`
-		;;
 	mvs)
 		basic_machine=i370-ibm
 		os=-mvs
@@ -818,12 +803,6 @@
 	pc532 | pc532-*)
 		basic_machine=ns32k-pc532
 		;;
-	pc98)
-		basic_machine=i386-pc
-		;;
-	pc98-*)
-		basic_machine=i386-`echo $basic_machine | sed 's/^[^-]*-//'`
-		;;
 	pentium | p5 | k5 | k6 | nexgen | viac3)
 		basic_machine=i586-pc
 		;;
@@ -880,10 +859,6 @@
 		basic_machine=i586-unknown
 		os=-pw32
 		;;
-	rdos)
-		basic_machine=i386-pc
-		os=-rdos
-		;;
 	rom68k)
 		basic_machine=m68k-rom68k
 		os=-coff
@@ -910,10 +885,6 @@
 	sb1el)
 		basic_machine=mipsisa64sb1el-unknown
 		;;
-	sde)
-		basic_machine=mipsisa32-sde
-		os=-elf
-		;;
 	sei)
 		basic_machine=mips-sei
 		os=-seiux
@@ -1130,7 +1101,7 @@
 	sh[1234] | sh[24]a | sh[34]eb | sh[1234]le | sh[23]ele)
 		basic_machine=sh-unknown
 		;;
-	sparc | sparcv8 | sparcv9 | sparcv9b | sparcv9v)
+	sparc | sparcv8 | sparcv9 | sparcv9b)
 		basic_machine=sparc-sun
 		;;
 	cydra)
@@ -1203,23 +1174,21 @@
 	      | -aos* \
 	      | -nindy* | -vxsim* | -vxworks* | -ebmon* | -hms* | -mvs* \
 	      | -clix* | -riscos* | -uniplus* | -iris* | -rtu* | -xenix* \
-	      | -hiux* | -386bsd* | -knetbsd* | -mirbsd* | -netbsd* \
-	      | -openbsd* | -solidbsd* \
+	      | -hiux* | -386bsd* | -knetbsd* | -mirbsd* | -netbsd* | -openbsd* \
 	      | -ekkobsd* | -kfreebsd* | -freebsd* | -riscix* | -lynxos* \
 	      | -bosx* | -nextstep* | -cxux* | -aout* | -elf* | -oabi* \
 	      | -ptx* | -coff* | -ecoff* | -winnt* | -domain* | -vsta* \
 	      | -udi* | -eabi* | -lites* | -ieee* | -go32* | -aux* \
 	      | -chorusos* | -chorusrdb* \
 	      | -cygwin* | -pe* | -psos* | -moss* | -proelf* | -rtems* \
-	      | -mingw32* | -linux-gnu* | -linux-newlib* | -linux-uclibc* \
-	      | -uxpv* | -beos* | -mpeix* | -udk* \
+	      | -mingw32* | -linux-gnu* | -linux-uclibc* | -uxpv* | -beos* | -mpeix* | -udk* \
 	      | -interix* | -uwin* | -mks* | -rhapsody* | -darwin* | -opened* \
 	      | -openstep* | -oskit* | -conix* | -pw32* | -nonstopux* \
 	      | -storm-chaos* | -tops10* | -tenex* | -tops20* | -its* \
 	      | -os2* | -vos* | -palmos* | -uclinux* | -nucleus* \
 	      | -morphos* | -superux* | -rtmk* | -rtmk-nova* | -windiss* \
 	      | -powermax* | -dnix* | -nx6 | -nx7 | -sei* | -dragonfly* \
-	      | -skyos* | -haiku* | -rdos* | -toppers*)
+	      | -skyos* | -haiku*)
 	# Remember, each alternative MUST END IN *, to match a version number.
 		;;
 	-qnx*)
@@ -1371,12 +1340,6 @@
 # system, and we'll never get to this point.
 
 case $basic_machine in
-        score-*)
-		os=-elf
-		;;
-        spu-*)
-		os=-elf
-		;;
 	*-acorn)
 		os=-riscix1.2
 		;;
@@ -1386,9 +1349,9 @@
 	arm*-semi)
 		os=-aout
 		;;
-        c4x-* | tic4x-*)
-        	os=-coff
-		;;
+    c4x-* | tic4x-*)
+        os=-coff
+        ;;
 	# This must come before the *-dec entry.
 	pdp10-*)
 		os=-tops20

=== added directory 'debian/bug'
=== added file 'debian/bug/libdvdread-dev.script'
--- debian/bug/libdvdread-dev.script	1970-01-01 00:00:00 +0000
+++ debian/bug/libdvdread-dev.script	2008-07-16 11:34:00 +0000
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+dpkg -l libdvdread-dev libdvdnav-dev libdvdcss-dev

=== added file 'debian/bug/libdvdread3.script'
--- debian/bug/libdvdread3.script	1970-01-01 00:00:00 +0000
+++ debian/bug/libdvdread3.script	2008-07-16 11:34:00 +0000
@@ -0,0 +1,3 @@
+#!/bin/sh
+
+dpkg -l libdvdread3 libdvdnav4 libdvdcss2

=== modified file 'debian/changelog'
--- debian/changelog	2006-11-02 19:56:00 +0000
+++ debian/changelog	2008-07-16 11:34:00 +0000
@@ -1,3 +1,85 @@
+libdvdread (0.9.7-11) unstable; urgency=low
+
+  * Adding recomments to libdvdnav-dev in libdvdread-dev.
+  * Removing lintian overrides cruft.
+  * Adding bug scripts for libdvdread3 and libdvdread-dev.
+  * Adding libdvdcss-dev suggests in libdvdread-dev.
+  * Removing libdvdread3-dev provides in libdvdread-dev, eventually not used
+    anymore.
+  * Updating to standards 3.8.0.
+  * Shortening long description of libdvdread-dev.
+
+ -- Daniel Baumann <daniel@debian.org>  Wed, 16 Jul 2008 11:34:00 +0200
+
+libdvdread (0.9.7-10) unstable; urgency=low
+
+  * Adding debug package.
+
+ -- Daniel Baumann <daniel@debian.org>  Mon, 28 Apr 2008 16:14:00 +0200
+
+libdvdread (0.9.7-9) unstable; urgency=low
+
+  * Reordering rules file.
+  * Using wildcards in install files consistenly.
+  * Sanitizing dpatch series file.
+  * Removing watch file.
+  * Removing old lintian overrides.
+  * Adding link to wikipedia about CSS (Content Scramble System).
+  * Rewriting copyright file in machine-interpretable format.
+  * Adding recommends to libdvdnav4.
+  * Adding vcs fields in control file.
+  * Updating package to debhelper 7.
+  * Removing useless whitespaces from changelog file.
+  * Reverting config.guess and config.sub to upstream.
+
+ -- Daniel Baumann <daniel@debian.org>  Mon, 28 Apr 2008 16:08:00 +0200
+
+libdvdread (0.9.7-8) unstable; urgency=low
+
+  * Applied change from Bastian Blank <waldi@debian.org> to improve udf patch.
+
+ -- Daniel Baumann <daniel@debian.org>  Fri, 22 Feb 2008 20:32:00 +0100
+
+libdvdread (0.9.7-7) unstable; urgency=low
+
+  * Applied change from Petr Salinger <Petr.Salinger@seznam.cz> to update
+    kfreebsd patch (Closes: #466969).
+
+ -- Daniel Baumann <daniel@debian.org>  Fri, 22 Feb 2008 10:21:00 +0100
+
+libdvdread (0.9.7-6) unstable; urgency=low
+
+  * Maintainer upload from the Zürich BSP
+  * Applied patch from Bastian Blank <waldi@debian.org> to adjusts the internal
+    knowledge of the filesize for IFO files in case their size doesn't match
+    with the entry in the UDF fs (Closes: #460400).
+
+ -- Daniel Baumann <daniel@debian.org>  Sat, 12 Jan 2008 15:16:00 +0100
+
+libdvdread (0.9.7-5) unstable; urgency=low
+
+  * Updated url to libdvdcss upstream in README.Debian (Closes: #458368).
+
+ -- Daniel Baumann <daniel@debian.org>  Sun, 30 Dec 2007 19:19:00 +0100
+
+libdvdread (0.9.7-4) unstable; urgency=low
+
+  * Bumped to new policy.
+  * Using new homepage field in control.
+  * Don't hide make errors in clean target of rules.
+  * Added fail-missing to dh_install call in rules.
+
+ -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 11:33:00 +0100
+
+libdvdread (0.9.7-3) unstable; urgency=medium
+
+  * Improved wording in README.Debian as suggested by Filipus Klutiero
+    <cheal@hotpop.com> (Closes: #412628).
+  * Bumped to debhelper 5.
+  * Minor cleanups.
+
+ -- Daniel Baumann <daniel@debian.org>  Tue, 26 Feb 2007 08:09:00 +0100
+
 libdvdread (0.9.7-2) unstable; urgency=medium
 
   * Fixed typo in README.Debian (Closes: #396733).
@@ -106,7 +188,7 @@
   * Move text about css into README.Debian* (closes: #154659).  Added a
     runtime notice if libdvdcss is not found.
   * Update libtool etc (closes: #190229).
-  
+
  -- Mikael Hedin <micce@debian.org>  Tue, 29 Apr 2003 15:20:06 +0200
 
 libdvdread (0.9.4-2) unstable; urgency=low
@@ -168,14 +250,14 @@
 libdvdread2 (0.9.1-3) unstable; urgency=low
 
   * We're not worthy.. we're not worthy...
-  * Add automake build-dep 
+  * Add automake build-dep
 
  -- Brian Russo <wolfie@debian.org>  Wed, 17 Oct 2001 10:03:52 -1000
 
 libdvdread2 (0.9.1-2) unstable; urgency=low
 
   * New branch (so2) due to incompatible API/ABI (Closes: #113407)
-  * Use libdvdread1 for older stuff.. 
+  * Use libdvdread1 for older stuff..
   * Should fix sparc problems (Closes: #110589)
   * Thanks to Eduard Bloch
 
@@ -185,8 +267,8 @@
 
   * New upstream version
   * Added URI (Closes: #113157, #112291)
-  * Fixed sparc re configure.in (Closes: #110589) 
-  * Fix binary-arch target in rules (Closes: #112248, #112979) 
+  * Fixed sparc re configure.in (Closes: #110589)
+  * Fix binary-arch target in rules (Closes: #112248, #112979)
 
  -- Brian Russo <wolfie@debian.org>  Sun, 23 Sep 2001 15:21:24 -1000
 
@@ -200,7 +282,7 @@
 
   * Fixed make distclean problem. (closes: #103485, #103595, #104646)
   * Corrected shlibs (closes: #109739)
-  
+
  -- Brian Russo <wolfie@debian.org>  Sun, 26 Aug 2001 10:45:40 -1000
 
 libdvdread (0.8.0-1) unstable; urgency=low

=== modified file 'debian/compat'
--- debian/compat	2006-05-03 21:07:00 +0000
+++ debian/compat	2008-07-16 11:34:00 +0000
@@ -1,1 +1,1 @@
-4
+7

=== modified file 'debian/control'
--- debian/control	2006-11-02 19:56:00 +0000
+++ debian/control	2008-07-16 11:34:00 +0000
@@ -2,14 +2,18 @@
 Section: graphics
 Priority: optional
 Maintainer: Daniel Baumann <daniel@debian.org>
-Build-Depends: debhelper (>= 4), dpatch, autotools-dev
-Standards-Version: 3.7.2
+Build-Depends: debhelper (>= 7), dpatch, autotools-dev
+Standards-Version: 3.8.0
+Homepage: http://www.dtek.chalmers.se/groups/dvd/
+Vcs-Browser: http://git.debian.net/?p=libdvdread.git
+Vcs-Git: git://git.debian.net/git/libdvdread.git
 
 Package: libdvdread3
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}
-Suggests: libdvdcss2, wget
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libdvdnav4
+Suggests: libdvdcss2
 Description: library for reading DVDs
  libdvdread provides the functionality that is required to access many DVDs. It
  parses IFO files, reads NAV-blocks, and performs CSS authentication and
@@ -18,19 +22,27 @@
  libdvdread currently uses libdl to dynamically probe for libdvdcss at runtime.
  If found, libdvdcss will be used to decrypt sections of the DVD as necessary.
 
+Package: libdvdread-dbg
+Section: devel
+Priority: extra
+Architecture: any
+Depends: libdvdread3 (= ${binary:Version}), libdvdread-dev (= ${binary:Version})
+Description: library for reading DVDs (debug)
+ libdvdread provides the functionality that is required to access many DVDs. It
+ parses IFO files, reads NAV-blocks, and performs CSS authentication and
+ descrambling.
+ .
+ This package contains the debugging symbols.
+
 Package: libdvdread-dev
 Section: libdevel
 Architecture: any
-Depends: libdvdread3 (= ${Source-Version})
-Conflicts: libdvdread2-dev, libdvdread3-dev
-Replaces: libdvdread2-dev, libdvdread3-dev
-Provides: libdvdread3-dev
+Depends: libdvdread3 (= ${binary:Version})
+Recommends: libdvdnav-dev
+Suggests: libdvdcss-dev
 Description: library for reading DVDs (development)
  libdvdread provides the functionality that is required to access many DVDs. It
  parses IFO files, reads NAV-blocks, and performs CSS authentication and
  descrambling.
  .
- libdvdread currently uses libdl to dynamically probe for libdvdcss at runtime.
- If found, libdvdcss will be used to decrypt sections of the DVD as necessary.
- .
  This package contains the development files.

=== modified file 'debian/copyright'
--- debian/copyright	2006-05-03 21:07:00 +0000
+++ debian/copyright	2008-07-16 11:34:00 +0000
@@ -1,33 +1,46 @@
-This package was first debianized by Brian Russo <wolfie@debian.org> on
-Sat, 30 Jun 2001 01:10:54 +1100.
-
-It was downloaded from <http://www.dtek.chalmers.se/~dvd/>.
-
-Copyright Holder: Bjorn Englund <d4bjorn@dtek.chalmers.se>,
-		  Hakan Hjort <d95hjort@dtek.chalmers.se>,
-		  Billy Biggs <vektor@dumbterm.net>,
-		  Christian Wolff <scarabaeus@convergence.de>.
-
-License:
-
-	Copyright (C) 2000-2001 Bjorn Englund <d4bjorn@dtek.chalmers.se>
-	Copyright (C) 2000-2001 Hakan Hjort <d95hjort@dtek.chalmers.se>
-	Copyright (C) 2000-2001 Billy Biggs <vektor@dumbterm.net>
-	Copyright (C) 2000-2001 Christian Wolff <scarabaeus@convergence.de>
-
-	This program is free software; you can redistribute it and/or modify
-	it under the terms of the GNU General Public License as published by
-	the Free Software Foundation; either version 2 of the License, or
-	(at your option) any later version.
-
-	This program is distributed in the hope that it will be useful,
-	but WITHOUT ANY WARRANTY; without even the implied warranty of
-	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
-	GNU General Public License for more details.
-
-	You should have received a copy of the GNU General Public License
-	along with this program; if not, write to the Free Software
-	Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA
-
-On Debian systems, the complete text of the GNU General Public License
-can be found in /usr/share/common-licenses/GPL file.
+Author: Bjorn Englund <d4bjorn@dtek.chalmers.se>
+Download: http://www.dtek.chalmers.se/~dvd/
+
+Files: *
+Copyright:
+ (C) 2000-2001 Bjorn Englund <d4bjorn@dtek.chalmers.se>
+ (C) 2000-2001 Hakan Hjort <d95hjort@dtek.chalmers.se>
+ (C) 2000-2001 Billy Biggs <vektor@dumbterm.net>
+ (C) 2000-2001 Christian Wolff <scarabaeus@convergence.de>
+License: GPL-2+
+ This program is free software; you can redistribute it and/or
+ modify it under the terms of the GNU General Public License
+ as published by the Free Software Foundation; either version 2
+ of the License, or (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ .
+ On Debian systems, the complete text of the GNU General Public License
+ can be found in /usr/share/common-licenses/GPL-2 file.
+
+Files: debian/*
+Copyright: (C) 2006-2008 Daniel Baumann <daniel@debian.org>
+License: GPL-2+
+ This program is free software; you can redistribute it and/or
+ modify it under the terms of the GNU General Public License
+ as published by the Free Software Foundation; either version 2
+ of the License, or (at your option) any later version.
+ .
+ This program is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program; if not, write to the Free Software
+ Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
+ .
+ On Debian systems, the complete text of the GNU General Public License
+ can be found in /usr/share/common-licenses/GPL-2 file.

=== modified file 'debian/libdvdread-dev.install'
--- debian/libdvdread-dev.install	2006-05-03 21:07:00 +0000
+++ debian/libdvdread-dev.install	2008-07-16 11:34:00 +0000
@@ -1,6 +1,4 @@
-/usr/include/*
+/usr/include
 /usr/lib/*.a
 /usr/lib/*.so
-/usr/lib/pkgconfig/*
 /usr/lib/*.la
-/usr/share/pkgconfig/*

=== modified file 'debian/libdvdread3.README.Debian'
--- debian/libdvdread3.README.Debian	2006-11-02 19:56:00 +0000
+++ debian/libdvdread3.README.Debian	2008-07-16 11:34:00 +0000
@@ -1,15 +1,17 @@
 libdvdread for Debian
 ---------------------
 
-Many DVDs use css. To play these discs, a special library is needed to decode
-them, libdvdcss. Due to legal problems in some particular countries, Debian
-cannot distribute libdvdcss.
-
-If it is legal for you to use css in your country, you can:
-
-	* Install the packages from <http://www.debian-unofficial.org/>.
-
-	* Manually download and compile the source code from
-	  <http://developers.videolan.org/libdvdcss/>.
+Many DVDs use CSS[0]. To play these discs, a special library is needed to decode
+them, libdvdcss. Due to legal problems in some particular countries, Debian does
+not distribute libdvdcss.
+
+If it is legal for you to use CSS in your country, you can:
+
+  * Install the packages from <http://www.debian-unofficial.org/>.
+
+  * Manually download and compile the source code from
+    <http://www.videolan.org/developers/libdvdcss.html>.
+
+ [0] <http://en.wikipedia.org/wiki/Content_Scramble_System>
 
  -- Daniel Baumann <daniel@debian.org>  Sat, 29 Jul 2006 20:03:00 +0200

=== modified file 'debian/libdvdread3.shlibs'
--- debian/libdvdread3.shlibs	2006-05-03 21:07:00 +0000
+++ debian/libdvdread3.shlibs	2008-07-16 11:34:00 +0000
@@ -1,1 +1,1 @@
-libdvdread 3 libdvdread3 (>= 0.9.6)
+libdvdread 3 libdvdread3 (>= 0.9.7)

=== removed directory 'debian/lintian'
=== removed file 'debian/lintian/libdvdread3'
--- debian/lintian/libdvdread3	2006-11-02 19:56:00 +0000
+++ debian/lintian/libdvdread3	1970-01-01 00:00:00 +0000
@@ -1,1 +0,0 @@
-libdvdread3: executable-in-usr-share-doc usr/share/doc/libdvdread3/install-css.sh 0755

=== modified file 'debian/patches/00list'
--- debian/patches/00list	2006-05-03 21:07:00 +0000
+++ debian/patches/00list	2008-07-16 11:34:00 +0000
@@ -1,2 +1,3 @@
-01-css
-02-kfreebsd
+01-css.dpatch
+02-kfreebsd.dpatch
+03-udf.dpatch

=== modified file 'debian/patches/02-kfreebsd.dpatch'
--- debian/patches/02-kfreebsd.dpatch	2006-05-03 21:07:00 +0000
+++ debian/patches/02-kfreebsd.dpatch	2008-07-16 11:34:00 +0000
@@ -29,3 +29,12 @@
  #define SYS_BSD 1
  #endif
  
+@@ -409,7 +409,7 @@
+ */
+ static char *bsd_block2char( const char *path )
+ {
+-#if defined(__FreeBSD__) || defined(__DragonFly__)
++#if defined(__FreeBSD__) || defined(__FreeBSD_kernel__) || defined(__DragonFly__)
+   return (char *) strdup( path );
+ #else
+   char *new_path;

=== added file 'debian/patches/03-udf.dpatch'
--- debian/patches/03-udf.dpatch	1970-01-01 00:00:00 +0000
+++ debian/patches/03-udf.dpatch	2008-07-16 11:34:00 +0000
@@ -0,0 +1,85 @@
+#!/bin/sh /usr/share/dpatch/dpatch-run
+## 03-udf.dpatch by Bastian Blank <waldi@debian.org>
+##
+## DP: Adjusts the internal knowledge of the filesize for IFO files
+## DP: in case their size doesn't match with the entry in the UDF fs.
+## DP: (Closes: #460400)
+
+@DPATCH@
+
+diff -Naurp libdvdread-0.9.7.orig/dvdread/dvd_reader.c libdvdread-0.9.7/dvdread/dvd_reader.c
+--- libdvdread-0.9.7.orig/dvdread/dvd_reader.c	2006-10-06 07:58:03.000000000 +0000
++++ libdvdread-0.9.7/dvdread/dvd_reader.c	2008-02-22 19:42:47.000000000 +0000
+@@ -1393,6 +1393,28 @@ int DVDFileSeek( dvd_file_t *dvd_file, i
+   return offset;
+ }
+ 
++int DVDFileSeekForce( dvd_file_t *dvd_file, int offset, int force_size )
++{
++  /* Check arguments. */
++  if( dvd_file == NULL || offset < 0 )
++    return -1;
++
++  if( dvd_file->dvd->isImageFile ) {
++    if( force_size < 0 )
++      force_size = (offset - 1) / DVD_VIDEO_LB_LEN + 1;
++    if( dvd_file->filesize < force_size ) {
++      dvd_file->filesize = force_size;
++      fprintf(stderr, "libdvdread: Ignored UDF provided size of file.\n");
++    }
++  }
++
++  if( offset > dvd_file->filesize * DVD_VIDEO_LB_LEN ) {
++    return -1;
++  }
++  dvd_file->seek_pos = (uint32_t) offset;
++  return offset;
++}
++
+ #ifndef HAVE_UINTPTR_T
+ #warning "Assuming that (unsigned long) can hold (void *)"
+ typedef unsigned long uintptr_t;
+@@ -1444,7 +1466,7 @@ ssize_t DVDReadBytes( dvd_file_t *dvd_fi
+   memcpy( data, &(secbuf[ seek_byte ]), byte_size );
+   free( secbuf_start );
+ 
+-  dvd_file->seek_pos += byte_size;
++  DVDFileSeekForce(dvd_file, dvd_file->seek_pos + byte_size, -1);
+   return byte_size;
+ }
+ 
+diff -Naurp libdvdread-0.9.7.orig/dvdread/dvd_reader.h libdvdread-0.9.7/dvdread/dvd_reader.h
+--- libdvdread-0.9.7.orig/dvdread/dvd_reader.h	2006-10-06 08:12:31.000000000 +0000
++++ libdvdread-0.9.7/dvdread/dvd_reader.h	2008-02-22 19:42:28.000000000 +0000
+@@ -240,6 +240,8 @@ ssize_t DVDReadBlocks( dvd_file_t *, int
+  */
+ int DVDFileSeek( dvd_file_t *, int );
+ 
++int DVDFileSeekForce( dvd_file_t *, int, int );
++
+ /**
+  * Reads the given number of bytes from the file.  This call can only be used
+  * on the information files, and may not be used for reading from a VOB.  This
+diff -Naurp libdvdread-0.9.7.orig/dvdread/ifo_read.c libdvdread-0.9.7/dvdread/ifo_read.c
+--- libdvdread-0.9.7.orig/dvdread/ifo_read.c	2006-01-22 12:19:19.000000000 +0000
++++ libdvdread-0.9.7/dvdread/ifo_read.c	2008-02-22 19:42:28.000000000 +0000
+@@ -106,6 +106,10 @@ static inline int DVDFileSeek_( dvd_file
+   return (DVDFileSeek(dvd_file, (int)offset) == (int)offset);
+ }
+ 
++static inline int DVDFileSeekForce_( dvd_file_t *dvd_file, uint32_t offset, int force_size ) {
++  return (DVDFileSeekForce(dvd_file, (int)offset, force_size) == (int)offset);
++}
++
+ 
+ ifo_handle_t *ifoOpen(dvd_reader_t *dvd, int title) {
+   ifo_handle_t *ifofile;
+@@ -1659,7 +1663,7 @@ static int ifoRead_VOBU_ADMAP_internal(i
+   unsigned int i;
+   int info_length;
+ 
+-  if(!DVDFileSeek_(ifofile->file, sector * DVD_BLOCK_LEN))
++  if(!DVDFileSeekForce_(ifofile->file, sector * DVD_BLOCK_LEN, sector))
+     return 0;
+ 
+   if(!(DVDReadBytes(ifofile->file, vobu_admap, VOBU_ADMAP_SIZE)))

=== modified file 'debian/rules'
--- debian/rules	2006-11-02 19:56:00 +0000
+++ debian/rules	2008-07-16 11:34:00 +0000
@@ -1,14 +1,9 @@
 #!/usr/bin/make -f
 
-# Uncomment this to turn on verbose mode.
-#export DH_VERBOSE=1
-
 include /usr/share/dpatch/dpatch.make
 
-# These are used for cross-compiling and for saving the configure script
-# from having to guess our platform (since we know it already)
-DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
-DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+DEB_HOST_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
+DEB_BUILD_GNU_TYPE	?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
 
 CFLAGS = -Wall -g
 
@@ -18,28 +13,19 @@
 	CFLAGS += -O2
 endif
 
-config.status: configure patch-stamp
-	dh_testdir
-
-	# Configuring package
-	CFLAGS="$(CFLAGS)" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr --mandir=\$${prefix}/share/man
-
-build: build-stamp
-build-stamp: config.status
-	dh_testdir
-
-	# Building package
-	$(MAKE)
-
-	touch build-stamp
-
 clean: unpatch
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp 
-
-	# Cleaning package
-	-$(MAKE) distclean
+	rm -f build-stamp
+	rm -f config.guess config.sub
+
+	[ ! -f Makefile ] || $(MAKE) distclean
+
+	dh_clean
+
+config.status: configure patch
+	dh_testdir
+
 ifneq "$(wildcard /usr/share/misc/config.sub)" ""
 	cp -f /usr/share/misc/config.sub config.sub
 endif
@@ -47,7 +33,15 @@
 	cp -f /usr/share/misc/config.guess config.guess
 endif
 
-	dh_clean
+	CFLAGS="$(CFLAGS)" LDFLAGS="-Wl,-z,defs" ./configure --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE) --prefix=/usr
+
+build: build-stamp
+build-stamp: config.status
+	dh_testdir
+
+	$(MAKE)
+
+	touch build-stamp
 
 install: build
 	dh_testdir
@@ -55,26 +49,20 @@
 	dh_clean -k
 	dh_installdirs
 
-	# Installing package
-	$(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
-
-	# Installing lintian overrides
-	for LINTIAN in debian/lintian/*; \
-	do \
-		install -D -m 0644 $$LINTIAN debian/`basename $$LINTIAN`/usr/share/lintian/overrides/`basename $$LINTIAN` || exit 1; \
-	done
-
-binary-indep: build install
+	$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install
+
+	install -D -m 0755 debian/bug/libdvdread3.script debian/libdvdread3/usr/share/bug/libdvdread3/script
+	install -D -m 0644 debian/bug/libdvdread-dev.script debian/libdvdread-dev/usr/share/bug/libdvdread-dev/script
+
+binary: binary-arch
 
 binary-arch: build install
 	dh_testdir
 	dh_testroot
 	dh_installchangelogs NEWS
 	dh_installdocs
-	dh_install --sourcedir=debian/tmp
-	dh_installman
-	dh_link
-	dh_strip
+	dh_install --fail-missing --sourcedir=debian/tmp
+	dh_strip --dbg-package=libdvdread-dbg
 	dh_compress
 	dh_fixperms
 	dh_makeshlibs
@@ -84,5 +72,6 @@
 	dh_md5sums
 	dh_builddeb
 
-binary: binary-indep binary-arch
-.PHONY: build clean binary-indep binary-arch binary install
+binary-indep:
+
+.PHONY: clean build install binary binary-arch binary-indep

=== removed file 'debian/watch'
--- debian/watch	2006-05-03 21:07:00 +0000
+++ debian/watch	1970-01-01 00:00:00 +0000
@@ -1,4 +0,0 @@
-# watch control file for uscan
-
-version=3
-http://www.dtek.chalmers.se/groups/dvd/dist/libdvdread-(.*)\.tar\.gz

